curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Agent wrap up time cleared successfully."
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Clear agent wrap up time
Use this method to clear the agent wrap up time after a call. After that, the agent will no longer have Wrapping status. Wrap up is the time after a call during which an agent’s status is still BUSY. More info.
Required scope: Enable one of: conversations:manage.
curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/agent/{agentId}/wrap-up-time/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Agent wrap up time cleared successfully."
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Agent id of agent wrap up to clear.